﻿/* xpt custom styles start from here*/
.ui-grid-filter-container {
    display: none !important; /* hides the filter text box in the grid headers */
}

.custom-ui-grid {
    height: 78vh;
}
.custom-ui-grid.short{
    height: 45vh;
}

   

.custom-ui-grid.h68{
    height: 68vh;
}

.custom-ui-grid.hd {
    /*height: calc(100vh - 69px);*/
    height: 60vh;
}

.ui-grid-top-panel {
    background: #f3f3f3;   
}

/*Styles for the Header cells*/
.ui-grid-header-cell > div > div {
    font-weight: normal;
    font-size: 12px;
}

/* Styles for the body cells*/
.ui-grid-canvas .ui-grid-cell-contents {
    border-bottom: 1px solid #BDBDBD;
    font-size: 12px;
}

.ui-grid-canvas .ui-grid-cell-contents {
    /*border-bottom: none;*/
}
 .ui-grid-row .ui-grid-cell.ui-grid-row-header-cell .ui-grid-cell-contents  {
     border-bottom: none;
 }


/* Column Menu Styles*/
.ui-grid-menu-button {
    border: none;
    height: 28px;
}
.ui-grid-menu .ui-grid-menu-inner {
    background-color: #fff;
}
.ui-grid-menu-button .ui-grid-menu .ui-grid-menu-mid {
    overflow: auto;
}

/* Cell styles */

.ui-grid-row:nth-child(even) .ui-grid-cell {
    background-color: #fff;
}

.ui-grid-row:nth-child(odd) .ui-grid-cell {
    background-color: #fff;
}

.ui-grid-cell {
    border-right: none;
}

.ui-grid-pinned-container.ui-grid-pinned-container-left .ui-grid-cell:last-child {
    border-right: none;
}

/*wrap cell text*/
.ui-grid-cell-contents-break {
    padding: 5px;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    overflow: hidden;
    height: 100%;
    word-break: break-all;
}